@echo off
rem ##########################################
rem # RenderSlave Restart System version 0.2 #
rem # By Morn Erasmus                       #
rem # Feel free to modify as needed          #
rem # Use at own risk                        #
rem ##########################################

CLS
:start

ECHO.-----------------------------------------------------
ECHO Welcome to the RenderSlave Restart System version 0.2
ECHO.-----------------------------------------------------
ECHO.
ECHO.
ECHO Please select an option:
ECHO.
ECHO 0 - Restart ALL Render Slaves
ECHO 1 - Restart Node1
ECHO 2 - Restart Node2
Echo 3 - Restart Node3
Echo 4 - EXIT This Tool
ECHO.

set choice=
set /p choice=Type the option number of your choice:
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='0' goto restartall
if '%choice%'=='1' goto restart1
if '%choice%'=='2' goto restart2
if '%choice%'=='3' goto restart3
if '%choice%'=='4' EXIT
CLS
ECHO "%choice%" is not a valid choice. Please enter an option between 0 and 4
PAUSE
CLS
goto start

:restartall
net use \\node1 /user:domain\adminuser adminpass
net use \\node2 /user:domain\adminuser adminpass
net use \\node3 /user:domain\adminuser adminpass
shutdown /f /r /m \\node1 /t 00
shutdown /f /r /m \\node2 /t 00
shutdown /f /r /m \\node3 /t 00
ECHO.
pause
CLS
goto start

:restart1
net use \\node1 /user:domain\adminuser adminpass
shutdown /f /r /m \\node1 /t 00
ECHO.
pause
CLS
goto start

:restart2
net use \\node2 /user:domain\adminuser adminpass
shutdown /f /r /m \\node2 /t 00
ECHO.
pause
CLS
goto start

:restart3
net use \\node3 /user:domain\adminuser adminpass
shutdown /f /r /m \\node3 /t 00
ECHO.
pause
CLS
goto start